For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • GETList workspaces
      • GETShow workspace

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWorkspaces

List workspaces

Deprecated
GET
https://api.frame.io/v4/accounts/:account_id/workspaces
GET
/v4/accounts/:account_id/workspaces
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.workspaces.index(
8 account_id="a51dea38-f00f-4fe8-89f6-fd9da55fe39c",
9 api_version="experimental",
10)
1{
2 "data": [
3 {
4 "image": "https://picture.frame.io/image/convert/frameio-uploads-development/teams/d5e6011c-2bc9-4596-be05-77d562627112/team_image_original.png",
5 "creator": {
6 "active": true,
7 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
8 "email": "user_email@example.com",
9 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
10 "name": "Jon Doe"
11 },
12 "account_id": "0020ad33-a966-465e-8e88-ac9e5d4a78a4",
13 "created_at": "2024-01-25T19:18:29.614189Z",
14 "id": "5bc5b621-7cd3-4ed2-b733-368b2e0a541b",
15 "name": "My Workspace",
16 "updated_at": "2024-02-07T16:44:41.986478Z"
17 }
18 ],
19 "links": {
20 "next": "/v4/accounts/123/workspaces"
21 },
22 "total_count": 10
23}
List workspaces for a given account. <br/> This endpoint has been added to `Current Version` of the API. <br/> Please see https://next.developer.frame.io/platform/v4/api-reference/workspaces/index <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Show workspace

Next

List workspaces for a given account.


This endpoint has been added to Current Version of the API.


Please see https://next.developer.frame.io/platform/v4/api-reference/workspaces/index
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Query parameters

includeenumOptional
Include query parameter for workspaces
Allowed values:
sortenumOptional
Sort workspaces by query params
Allowed values:
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
Workspaces
linksobject
Links to paginated data
total_countinteger or null
Total count

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error